Bug 604710 - Create new bundle: "Previous" button enabled on failed file upload
Create new bundle: "Previous" button enabled on failed file upload
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Sunil Kondkar
:
Depends On:
Blocks: jon24-provisioning
  Show dependency treegraph
 
Reported: 2010-06-16 10:51 EDT by Corey Welton
Modified: 2010-08-12 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-06-16 10:51:27 EDT
Description of problem:
After a failed upload of a package for a bundle, the "previous" button in the wizard is enabled.  This is clickable, and while it does not appear to take user anywhere, the "step" count gets messed up.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.  Initiate bundle creation wizard.  
2.  Click the "Upload" radio button
3.  from your file picker, submit a file that is invalid.  At very least, do something as noted in bug #601175 that results in a bad file.
4.  Click the "Next" button.  Note of course that the upload fails.
5.  Observe Previous button.   Click this button a half dozen times.
6.  Note the "Step x of y" indicator at top of wizard

Actual results:
* Previous button lights up despite failed upload
* Previous button can be clicked, messing up the "Step x of y" counter, i.e., "Step -5 of 3"



Expected results:


Additional info:
Comment 1 Jay Shaughnessy 2010-07-07 15:56:01 EDT
fix commit: 91c9d1fb7849b9966f60a2cdeb8bca1903e3389c

This was an issue in the Wizard framework, which I've fixed.  Moreover in this particular wizard step I disable the Previous button as needed.
Comment 2 Sunil Kondkar 2010-07-08 07:28:44 EDT
Verified on jon-2.4.0.GA_QA build#52

After a failed upload of a bundle, the "previous" button in the wizard is disabled.
Comment 3 Corey Welton 2010-08-12 12:44:11 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.